      subroutine tracor (xyz,t)                                         TRAC001
c ----------------------------------------------------------------------TRAC002
c     transform arbitrary coordinates into orthonormal system           TRAC003
c     T(3,3) metric tensor                                              TRAC004
c ----------------------------------------------------------------------TRAC005
c     This program module is part of the PhysiSoft X-ray Library        TRAC006
c     and may not be sold or reproduced for commercial purposes.        TRAC007
c     Although it has been tested carefully, there is no warranty       TRAC008
c     regarding accuracy or freedom from side-effects.                  TRAC009
c                   (C) 1986-1990 Bernhard Rupp                         TRAC010
c ----------------------------------------------------------------------TRAC011
                                                                        TRAC012
      dimension t(3,3),xyz(3),zyx(3)                                    TRAC013
                                                                        TRAC014
      do 1001 i=1,3                                                     TRAC015
         zyx(i)=xyz(i)                                                  TRAC016
 1001    xyz(i)=0.0                                                     TRAC017
                                                                        TRAC018
      do 0001 i=1,3                                                     TRAC019
         do 0001 j=1,3                                                  TRAC020
            xyz(i)=xyz(i)+t(i,j)*zyx(j)                                 TRAC021
 0001 continue                                                          TRAC022
                                                                        TRAC023
      return                                                            TRAC024
      end                                                               TRAC025
                                                                        TRAC026
                                                                        TRAC027
                                                                        TRAC028
